<!DOCTYPE html>
<html lang="en">
  <head>
    <meta charset="utf-8">
    <meta http-equiv="X-UA-Compatible" content="IE=edge">
    <meta name="viewport" content="width=device-width, initial-scale=1">
   
   <meta name="description" content="FLUBIO - An unstructured, parallel, finite volume Navier-Stokes solver for teaching and research purposes">
    
    <meta name="author" content="Edoardo Alinovi and Joel Guerrero" >
    <link rel="icon" href="../favicon.png">

    <title>isNumber &ndash; FLUBIO</title>

    <link href="../css/bootstrap.min.css" rel="stylesheet">
    <link href="../css/pygments.css" rel="stylesheet">
    <link href="../css/font-awesome.min.css" rel="stylesheet">
    <link href="../css/local.css" rel="stylesheet">
    
    <link  href="../tipuesearch/tipuesearch.css" rel="stylesheet">
    
    

    <!-- HTML5 shim and Respond.js for IE8 support of HTML5 elements and media queries -->
    <!--[if lt IE 9]>
      <script src="https://oss.maxcdn.com/html5shiv/3.7.2/html5shiv.min.js"></script>
      <script src="https://oss.maxcdn.com/respond/1.4.2/respond.min.js"></script>
    <![endif]-->
    
    <script src="../js/jquery-2.1.3.min.js"></script>
    <script src="../js/svg-pan-zoom.min.js"></script>

  </head>

  <body>

    <!-- Fixed navbar -->
    <nav class="navbar navbar-inverse navbar-fixed-top">
      <div class="container">
        <div class="navbar-header">
          <button type="button" class="navbar-toggle collapsed" data-toggle="collapse" data-target="#navbar" aria-expanded="false" aria-controls="navbar">
            <span class="sr-only">Toggle navigation</span>
            <span class="icon-bar"></span>
            <span class="icon-bar"></span>
            <span class="icon-bar"></span>
          </button>
          <a class="navbar-brand" href="../index.html">FLUBIO </a>
        </div>
        <div id="navbar" class="navbar-collapse collapse">
          <ul class="nav navbar-nav">
        
            <li class="dropdown hidden-xs visible-sm visible-md hidden-lg">
              <a href="#" class="dropdown-toggle"
              data-toggle="dropdown" role="button"
              aria-haspopup="true"
     aria-expanded="false">Contents <span class="caret"></span></a>
        <ul class="dropdown-menu">
          
              
            <li><a href="../lists/files.html">Source Files</a></li>
        
        
        
            <li><a href="../lists/modules.html">Modules</a></li>
        
            
                                
            <li><a href="../lists/procedures.html">Procedures</a></li>
        
               
            <li><a href="../lists/types.html">Derived Types</a></li>
        
        
            <li><a href="../lists/programs.html">Programs</a></li>
               
        
        
            </ul>
        
            </li>


<li class="visible-xs hidden-sm visible-lg"><a href="../lists/files.html">Source Files</a></li>



<li class="visible-xs hidden-sm visible-lg"><a href="../lists/modules.html">Modules</a></li>



<li class="visible-xs hidden-sm visible-lg"><a href="../lists/procedures.html">Procedures</a></li>

                             
<li class="visible-xs hidden-sm visible-lg"><a href="../lists/types.html">Derived Types</a></li>


<li class="visible-xs hidden-sm visible-lg"><a href="../lists/programs.html">Programs</a></li>



          </ul>
        
        <form action="../search.html" class="navbar-form navbar-right" role="search">
        <div class="form-group">
          <input type="text" class="form-control" placeholder="Search" name="q" id="tipue_search_input" autocomplete="off" required>
        </div>
<!--
        <button type="submit" class="btn btn-default">Submit</button>
-->
        </form>
        
        </div><!--/.nav-collapse -->
      </div>
    </nav>

    <div class="container">
    
  
  <div class="row">
    <h1>isNumber
      <small>Function</small>
    
    </h1>
    
<div class="row">
  <div class="col-lg-12">
<div class="well well-sm">
  <ul class="list-inline" style="margin-bottom:0px;display:inline">
     
     
     
    <li><i class="fa fa-legal"></i> <a rel="license" href="http://creativecommons.org/licenses/by-nc/4.0/"><img alt="Creative Commons License" style="border-width:0" src="https://i.creativecommons.org/l/by-nc/4.0/80x15.png" /></a></li> 
     
     
     
    
    
     <li><i class="fa fa-list-ol"></i>
       <a data-toggle="tooltip"
    data-placement="bottom" data-html="true"
    title=" 0.6% of total for procedures.">115 statements</a>
     </li> 
     
     
     
    <li><i class="fa fa-code"></i><a href="../src/mstrings.f03"> Source File</a></li>
     
     
  </ul>
  <ol class="breadcrumb in-well text-right">
  
    
     <li><a href='../sourcefile/mstrings.f03.html'>mstrings.f03</a></li>
    
     <li><a href='../module/m_strings.html'>M_strings</a></li>
    
  
     <li class="active">isNumber</li>
  </ol>
</div>
</div>
</div>
<script>
  $(function () {
  $('[data-toggle="tooltip"]').tooltip()
  })
</script>

  </div>
  
  <div class="row">
    <div class="col-md-3 hidden-xs hidden-sm visible-md visible-lg">
    
<div id="sidebar">
  
<h3>Contents</h3>
 





















<em>None</em>


</div>

    </div>
    
    <div class="col-md-9" id='text'>
    <h2>
public function isNumber(string, msg, verbose) result(isnumber)
    
    
   
</h2>
    
  


    
    <h2>NAME</h2>
<div class="codehilite"><pre><span></span><code><span class="nv">isnumber</span><span class="ss">(</span><span class="mi">3</span><span class="nv">f</span><span class="ss">)</span> <span class="o">-</span> [<span class="nv">M_strings</span>:<span class="nv">NUMERIC</span>] <span class="nv">determine</span> <span class="k">if</span> <span class="nv">a</span> <span class="nv">string</span> <span class="nv">represents</span> <span class="nv">a</span> <span class="nv">number</span>
</code></pre></div>

<h2>SYNOPSIS</h2>
<div class="codehilite"><pre><span></span><code><span class="k">function</span><span class="w"> </span><span class="nf">isnumber</span><span class="p">(</span>str,msg<span class="p">)</span><span class="w"></span>

<span class="w"> </span><span class="n">character</span><span class="p">(</span><span class="n">len</span><span class="p">=</span><span class="o">*</span><span class="p">),</span><span class="n">intent</span><span class="p">(</span><span class="n">in</span><span class="p">)</span><span class="w">  </span><span class="p">::</span><span class="w"> </span><span class="n">str</span><span class="w"></span>
<span class="w"> </span><span class="n">character</span><span class="p">(</span><span class="n">len</span><span class="p">=:),</span><span class="n">intent</span><span class="p">(</span><span class="n">out</span><span class="p">),</span><span class="n">allocatable</span><span class="p">,</span><span class="n">optional</span><span class="w">  </span><span class="p">::</span><span class="w"> </span><span class="n">msg</span><span class="w"></span>
</code></pre></div>

<h2>DESCRIPTION</h2>
<div class="codehilite"><pre><span></span><code> <span class="nv">ISNUMBER</span><span class="ss">(</span><span class="mi">3</span><span class="nv">f</span><span class="ss">)</span> <span class="nv">returns</span> <span class="nv">a</span> <span class="nv">value</span> <span class="nv">greater</span> <span class="nv">than</span> <span class="nv">zero</span> <span class="k">if</span> <span class="nv">the</span> <span class="nv">string</span> <span class="nv">represents</span>
 <span class="nv">a</span> <span class="nv">number</span>, <span class="nv">and</span> <span class="nv">a</span> <span class="nv">number</span> <span class="nv">less</span> <span class="nv">than</span> <span class="nv">or</span> <span class="nv">equal</span> <span class="nv">to</span> <span class="nv">zero</span> <span class="k">if</span> <span class="nv">it</span> <span class="nv">is</span> <span class="nv">a</span> <span class="nv">bad</span> <span class="nv">number</span>.
 <span class="nv">Blank</span> <span class="nv">characters</span> <span class="nv">are</span> <span class="nv">ignored</span>.
</code></pre></div>

<h2>OPTIONS</h2>
<div class="codehilite"><pre><span></span><code> str  the string to evaluate as to whether it represents a numeric value
      or not
 msg  An optional message describing the string
</code></pre></div>

<h2>RETURNS</h2>
<div class="codehilite"><pre><span></span><code><span class="w"> </span><span class="n">isnumber</span><span class="w">  </span><span class="n">the</span><span class="w"> </span><span class="n">following</span><span class="w"> </span><span class="k">values</span><span class="w"> </span><span class="k">are</span><span class="w"> </span><span class="n">returned</span><span class="w"></span>

<span class="w">            </span><span class="mi">1</span><span class="w"> </span><span class="k">for</span><span class="w"> </span><span class="n">an</span><span class="w"> </span><span class="k">integer</span><span class="w">             </span><span class="o">[</span><span class="n">-+</span><span class="o">]</span><span class="n">NNNNN</span><span class="w"></span>
<span class="w">            </span><span class="mi">2</span><span class="w"> </span><span class="k">for</span><span class="w"> </span><span class="n">a</span><span class="w"> </span><span class="n">whole</span><span class="w"> </span><span class="n">number</span><span class="w">         </span><span class="o">[</span><span class="n">-+</span><span class="o">]</span><span class="n">NNNNN</span><span class="p">.</span><span class="w"></span>
<span class="w">            </span><span class="mi">3</span><span class="w"> </span><span class="k">for</span><span class="w"> </span><span class="n">a</span><span class="w"> </span><span class="nc">real</span><span class="w"> </span><span class="k">value</span><span class="w">           </span><span class="o">[</span><span class="n">-+</span><span class="o">]</span><span class="n">NNNNN</span><span class="p">.</span><span class="n">MMMM</span><span class="w"></span>
<span class="w">            </span><span class="mi">4</span><span class="w"> </span><span class="k">for</span><span class="w"> </span><span class="n">a</span><span class="w"> </span><span class="n">exponential</span><span class="w"> </span><span class="k">value</span><span class="w">    </span><span class="o">[</span><span class="n">-+</span><span class="o">]</span><span class="n">NNNNN</span><span class="p">.</span><span class="n">MMMM</span><span class="o">[</span><span class="n">-+</span><span class="o">]</span><span class="n">LLLL</span><span class="w"></span>
<span class="w">                                         </span><span class="o">[</span><span class="n">-+</span><span class="o">]</span><span class="n">NNNNN</span><span class="p">.</span><span class="n">MMMM</span><span class="o">[</span><span class="n">ed</span><span class="o">][</span><span class="n">-+</span><span class="o">]</span><span class="n">LLLL</span><span class="w"></span>

<span class="w">           </span><span class="k">values</span><span class="w"> </span><span class="k">less</span><span class="w"> </span><span class="k">than</span><span class="w"> </span><span class="mi">1</span><span class="w"> </span><span class="n">represent</span><span class="w"> </span><span class="n">an</span><span class="w"> </span><span class="n">error</span><span class="w"></span>
</code></pre></div>

<h2>EXAMPLES</h2>
<p>As the example shows, you can use an internal READ(3f) along with the IOSTAT=
   parameter to check (and read) a string as well.</p>
<div class="codehilite"><pre><span></span><code> <span class="nv">program</span> <span class="nv">demo_isnumber</span>
 <span class="nv">use</span> <span class="nv">M_strings</span>, <span class="nv">only</span> : <span class="nv">isnumber</span>
 <span class="nv">implicit</span> <span class="nv">none</span>
 <span class="nv">character</span><span class="ss">(</span><span class="nv">len</span><span class="o">=</span><span class="mi">256</span><span class="ss">)</span> :: <span class="nv">line</span>
 <span class="nv">real</span>               :: <span class="nv">value</span>
 <span class="nv">integer</span>            :: <span class="nv">ios</span>
 <span class="nv">integer</span>            :: <span class="nv">answer</span>
 <span class="nv">character</span><span class="ss">(</span><span class="nv">len</span><span class="o">=</span><span class="mi">256</span><span class="ss">)</span> :: <span class="nv">message</span>
 <span class="nv">character</span><span class="ss">(</span><span class="nv">len</span><span class="o">=</span>:<span class="ss">)</span>,<span class="nv">allocatable</span> :: <span class="nv">description</span>
    <span class="nv">write</span><span class="ss">(</span><span class="o">*</span>,<span class="o">*</span><span class="ss">)</span><span class="s1">&#39;</span><span class="s">Begin entering values, one per line</span><span class="s1">&#39;</span>
    <span class="k">do</span>
       <span class="nv">read</span><span class="ss">(</span><span class="o">*</span>,<span class="s1">&#39;</span><span class="s">(a)</span><span class="s1">&#39;</span>,<span class="nv">iostat</span><span class="o">=</span><span class="nv">ios</span><span class="ss">)</span><span class="nv">line</span>
       <span class="o">!</span>
       <span class="o">!</span> <span class="nv">try</span> <span class="nv">string</span> <span class="nv">as</span> <span class="nv">number</span> <span class="nv">using</span> <span class="nv">list</span><span class="o">-</span><span class="nv">directed</span> <span class="nv">input</span>
       <span class="nv">line</span><span class="o">=</span><span class="s1">&#39;&#39;</span>
       <span class="nv">read</span><span class="ss">(</span><span class="nv">line</span>,<span class="o">*</span>,<span class="nv">iostat</span><span class="o">=</span><span class="nv">ios</span>,<span class="nv">iomsg</span><span class="o">=</span><span class="nv">message</span><span class="ss">)</span> <span class="nv">value</span>
       <span class="k">if</span><span class="ss">(</span><span class="nv">ios</span>.<span class="nv">eq</span>.<span class="mi">0</span><span class="ss">)</span><span class="k">then</span>
          <span class="nv">write</span><span class="ss">(</span><span class="o">*</span>,<span class="o">*</span><span class="ss">)</span><span class="s1">&#39;</span><span class="s">VALUE=</span><span class="s1">&#39;</span>,<span class="nv">value</span>
       <span class="k">else</span>
          <span class="nv">write</span><span class="ss">(</span><span class="o">*</span>,<span class="o">*</span><span class="ss">)</span><span class="s1">&#39;</span><span class="s">ERROR:</span><span class="s1">&#39;</span>,<span class="nv">ios</span>,<span class="nv">trim</span><span class="ss">(</span><span class="nv">message</span><span class="ss">)</span>
       <span class="k">endif</span>
       <span class="o">!</span>
       <span class="o">!</span> <span class="nv">try</span> <span class="nv">string</span> <span class="nv">using</span> <span class="nv">isnumber</span><span class="ss">(</span><span class="mi">3</span><span class="nv">f</span><span class="ss">)</span>
       <span class="nv">answer</span><span class="o">=</span><span class="nv">isnumber</span><span class="ss">(</span><span class="nv">line</span>,<span class="nv">msg</span><span class="o">=</span><span class="nv">description</span><span class="ss">)</span>
       <span class="k">if</span><span class="ss">(</span><span class="nv">answer</span>.<span class="nv">gt</span>.<span class="mi">0</span><span class="ss">)</span><span class="k">then</span>
          <span class="nv">write</span><span class="ss">(</span><span class="o">*</span>,<span class="o">*</span><span class="ss">)</span><span class="s1">&#39;</span><span class="s"> for </span><span class="s1">&#39;</span>,<span class="nv">trim</span><span class="ss">(</span><span class="nv">line</span><span class="ss">)</span>,<span class="s1">&#39;</span><span class="s"> </span><span class="s1">&#39;</span>,<span class="nv">answer</span>,<span class="s1">&#39;</span><span class="s">:</span><span class="s1">&#39;</span>,<span class="nv">description</span>
       <span class="k">else</span>
          <span class="nv">write</span><span class="ss">(</span><span class="o">*</span>,<span class="o">*</span><span class="ss">)</span><span class="s1">&#39;</span><span class="s"> ERROR for </span><span class="s1">&#39;</span>,<span class="nv">trim</span><span class="ss">(</span><span class="nv">line</span><span class="ss">)</span>,<span class="s1">&#39;</span><span class="s"> </span><span class="s1">&#39;</span>,<span class="nv">answer</span>,<span class="s1">&#39;</span><span class="s">:</span><span class="s1">&#39;</span>,<span class="nv">description</span>
       <span class="k">endif</span>
       <span class="o">!</span>
    <span class="nv">enddo</span>
 <span class="k">end</span> <span class="nv">program</span> <span class="nv">demo_isnumber</span>
</code></pre></div>

<p>Example run</p>
<div class="codehilite"><pre><span></span><code> <span class="nv">Begin</span> <span class="nv">entering</span> <span class="nv">values</span>
 <span class="nv">ERROR</span>:          <span class="o">-</span><span class="mi">1</span> <span class="k">End</span> <span class="nv">of</span> <span class="nv">file</span>
  <span class="nv">ERROR</span> <span class="k">for</span>            <span class="o">-</span><span class="mi">1</span> :<span class="nv">null</span> <span class="nv">string</span>
<span class="mi">10</span>
 <span class="nv">VALUE</span><span class="o">=</span>   <span class="mi">10</span>.<span class="mi">0000000</span>
  <span class="k">for</span> <span class="mi">10</span>            <span class="mi">1</span> :<span class="nv">integer</span>
<span class="mi">20</span>
 <span class="nv">VALUE</span><span class="o">=</span>   <span class="mi">20</span>.<span class="mi">0000000</span>
  <span class="k">for</span> <span class="mi">20</span>            <span class="mi">1</span> :<span class="nv">integer</span>
<span class="mi">20</span>.
 <span class="nv">VALUE</span><span class="o">=</span>   <span class="mi">20</span>.<span class="mi">0000000</span>
  <span class="k">for</span> <span class="mi">20</span>.            <span class="mi">2</span> :<span class="nv">whole</span> <span class="nv">number</span>
<span class="mi">30</span>.<span class="mi">1</span>
 <span class="nv">VALUE</span><span class="o">=</span>   <span class="mi">30</span>.<span class="mi">1000004</span>
  <span class="k">for</span> <span class="mi">30</span>.<span class="mi">1</span>            <span class="mi">3</span> :<span class="nv">real</span> <span class="nv">number</span>
<span class="mi">3</span><span class="nv">e1</span>
 <span class="nv">VALUE</span><span class="o">=</span>   <span class="mi">30</span>.<span class="mi">0000000</span>
  <span class="k">for</span> <span class="mi">3</span><span class="nv">e1</span>            <span class="mi">4</span> :<span class="nv">value</span> <span class="nv">with</span> <span class="nv">exponent</span>
<span class="mi">1</span><span class="o">-</span><span class="mi">2</span>
 <span class="nv">VALUE</span><span class="o">=</span>   <span class="mi">9</span>.<span class="mi">99999978</span><span class="nv">E</span><span class="o">-</span><span class="mi">03</span>
  <span class="k">for</span> <span class="mi">1</span><span class="o">-</span><span class="mi">2</span>            <span class="mi">4</span> :<span class="nv">value</span> <span class="nv">with</span> <span class="nv">exponent</span>
<span class="mi">100</span>.<span class="mi">22</span><span class="nv">d</span><span class="o">-</span><span class="mi">4</span>
 <span class="nv">VALUE</span><span class="o">=</span>   <span class="mi">1</span>.<span class="mi">00220004</span><span class="nv">E</span><span class="o">-</span><span class="mi">02</span>
  <span class="k">for</span> <span class="mi">100</span>.<span class="mi">22</span><span class="nv">d</span><span class="o">-</span><span class="mi">4</span>            <span class="mi">4</span> :<span class="nv">value</span> <span class="nv">with</span> <span class="nv">exponent</span>
<span class="mi">1</span><span class="o">--</span><span class="mi">2</span>
 <span class="nv">ERROR</span>:        <span class="mi">5010</span> <span class="nv">Bad</span> <span class="nv">real</span> <span class="nv">number</span> <span class="nv">in</span> <span class="nv">item</span> <span class="mi">1</span> <span class="nv">of</span> <span class="nv">list</span> <span class="nv">input</span>
  <span class="nv">ERROR</span> <span class="k">for</span> <span class="mi">1</span><span class="o">--</span><span class="mi">2</span>           <span class="o">-</span><span class="mi">5</span> :<span class="nv">bad</span> <span class="nv">number</span>
<span class="nv">e</span>
 <span class="nv">ERROR</span>:        <span class="mi">5010</span> <span class="nv">Bad</span> <span class="nv">real</span> <span class="nv">number</span> <span class="nv">in</span> <span class="nv">item</span> <span class="mi">1</span> <span class="nv">of</span> <span class="nv">list</span> <span class="nv">input</span>
  <span class="nv">ERROR</span> <span class="k">for</span> <span class="nv">e</span>           <span class="o">-</span><span class="mi">6</span> :<span class="nv">missing</span> <span class="nv">leading</span> <span class="nv">value</span> <span class="nv">before</span> <span class="nv">exponent</span>
<span class="nv">e1</span>
 <span class="nv">ERROR</span>:        <span class="mi">5010</span> <span class="nv">Bad</span> <span class="nv">real</span> <span class="nv">number</span> <span class="nv">in</span> <span class="nv">item</span> <span class="mi">1</span> <span class="nv">of</span> <span class="nv">list</span> <span class="nv">input</span>
  <span class="nv">ERROR</span> <span class="k">for</span> <span class="nv">e1</span>           <span class="o">-</span><span class="mi">6</span> :<span class="nv">missing</span> <span class="nv">leading</span> <span class="nv">value</span> <span class="nv">before</span> <span class="nv">exponent</span>
<span class="mi">1</span><span class="nv">e</span>
 <span class="nv">ERROR</span>:        <span class="mi">5010</span> <span class="nv">Bad</span> <span class="nv">real</span> <span class="nv">number</span> <span class="nv">in</span> <span class="nv">item</span> <span class="mi">1</span> <span class="nv">of</span> <span class="nv">list</span> <span class="nv">input</span>
  <span class="nv">ERROR</span> <span class="k">for</span> <span class="mi">1</span><span class="nv">e</span>           <span class="o">-</span><span class="mi">3</span> :<span class="nv">missing</span> <span class="nv">exponent</span>
<span class="mi">1</span><span class="nv">e</span><span class="o">+</span>
 <span class="nv">ERROR</span>:        <span class="mi">5010</span> <span class="nv">Bad</span> <span class="nv">real</span> <span class="nv">number</span> <span class="nv">in</span> <span class="nv">item</span> <span class="mi">1</span> <span class="nv">of</span> <span class="nv">list</span> <span class="nv">input</span>
  <span class="nv">ERROR</span> <span class="k">for</span> <span class="mi">1</span><span class="nv">e</span><span class="o">+</span>           <span class="o">-</span><span class="mi">4</span> :<span class="nv">missing</span> <span class="nv">exponent</span> <span class="nv">after</span> <span class="nv">sign</span>
<span class="mi">1</span><span class="nv">e</span><span class="o">+</span><span class="mi">2</span>.<span class="mi">0</span>
 <span class="nv">ERROR</span>:        <span class="mi">5010</span> <span class="nv">Bad</span> <span class="nv">real</span> <span class="nv">number</span> <span class="nv">in</span> <span class="nv">item</span> <span class="mi">1</span> <span class="nv">of</span> <span class="nv">list</span> <span class="nv">input</span>
  <span class="nv">ERROR</span> <span class="k">for</span> <span class="mi">1</span><span class="nv">e</span><span class="o">+</span><span class="mi">2</span>.<span class="mi">0</span>           <span class="o">-</span><span class="mi">5</span> :<span class="nv">bad</span> <span class="nv">number</span>
</code></pre></div>
    

    <h3>Arguments</h3>
    
      
<table class="table table-striped varlist">
<thead><tr><th>Type</th>
<th>Intent</th><th>Optional</th>
<th>Attributes</th><th></th><th>Name</th><th></th></thead>



<tbody>

  
  
  
  
<tr>
  
  <td><span class="anchor" id="variable-string%7E11"></span>character(len=*),</td>
  <td>intent(in)</td>
  <td></td>
  
  <td></td><td>::</td>
  <td><strong>string</strong></td><td></td>
  
</tr>

  
  
  
  
<tr>
  
  <td><span class="anchor" id="variable-msg"></span>character(len=:),</td>
  <td>intent(out),</td>
  <td>optional</td>
  
  <td>allocatable</td><td>::</td>
  <td><strong>msg</strong></td><td></td>
  
</tr>

  
  
  
  
<tr>
  
  <td><span class="anchor" id="variable-verbose%7E5"></span>logical,</td>
  <td>intent(in),</td>
  <td>optional</td>
  
  <td></td><td>::</td>
  <td><strong>verbose</strong></td><td></td>
  
</tr>

</tbody>
</table>

    
    
    
    
    
    
    
   <h3>Return Value <small><span class="anchor" id="variable-isnumber"></span>integer
  </small></h3>
    
    
    
    <br>
    
    
    <div class="panel panel-default">
      <div class="panel-heading">
  <h3 class="panel-title">Calls</h3>
      </div>
      <div class="panel-body">
  <div class="depgraph"><?xml version="1.0" encoding="UTF-8" standalone="no"?>
<!DOCTYPE svg PUBLIC "-//W3C//DTD SVG 1.1//EN"
 "http://www.w3.org/Graphics/SVG/1.1/DTD/svg11.dtd">
<!-- Generated by graphviz version 2.40.1 (20161225.0304)
 -->
<!-- Title: proc~~isnumber~~CallsGraph Pages: 1 -->
<svg id="procisnumberCallsGraph" width="246pt" height="74pt"
 viewBox="0.00 0.00 246.00 74.00" xmlns="http://www.w3.org/2000/svg" xmlns:xlink="http://www.w3.org/1999/xlink">
<g id="proc~~isnumber~~CallsGraph" class="graph" transform="scale(1 1) rotate(0) translate(4 70)">
<title>proc~~isnumber~~CallsGraph</title>
<polygon fill="#ffffff" stroke="transparent" points="-4,4 -4,-70 242,-70 242,4 -4,4"/>
<!-- proc~isnumber -->
<g id="proc~~isnumber~~CallsGraph_node1" class="node">
<title>proc~isnumber</title>
<polygon fill="none" stroke="#000000" points="58,-45 0,-45 0,-21 58,-21 58,-45"/>
<text text-anchor="middle" x="29" y="-30.6" font-family="Helvetica,sans-Serif" font-size="10.50" fill="#000000">isNumber</text>
</g>
<!-- interface~switch -->
<g id="proc~~isnumber~~CallsGraph_node2" class="node">
<title>interface~switch</title>
<g id="a_proc~~isnumber~~CallsGraph_node2"><a xlink:href=".././interface/switch.html" xlink:title="switch">
<polygon fill="#a7506f" stroke="#a7506f" points="148,-45 94,-45 94,-21 148,-21 148,-45"/>
<text text-anchor="middle" x="121" y="-30.6" font-family="Helvetica,sans-Serif" font-size="10.50" fill="#ffffff">switch</text>
</a>
</g>
</g>
<!-- proc~isnumber&#45;&gt;interface~switch -->
<g id="proc~~isnumber~~CallsGraph_edge1" class="edge">
<title>proc~isnumber&#45;&gt;interface~switch</title>
<path fill="none" stroke="#000000" d="M58.1094,-33C66.2682,-33 75.2502,-33 83.8095,-33"/>
<polygon fill="#000000" stroke="#000000" points="83.9566,-36.5001 93.9566,-33 83.9566,-29.5001 83.9566,-36.5001"/>
</g>
<!-- proc~a2s -->
<g id="proc~~isnumber~~CallsGraph_node3" class="node">
<title>proc~a2s</title>
<g id="a_proc~~isnumber~~CallsGraph_node3"><a xlink:href=".././proc/a2s.html" xlink:title="a2s">
<polygon fill="#d94e8f" stroke="#d94e8f" points="238,-66 184,-66 184,-42 238,-42 238,-66"/>
<text text-anchor="middle" x="211" y="-51.6" font-family="Helvetica,sans-Serif" font-size="10.50" fill="#ffffff">a2s</text>
</a>
</g>
</g>
<!-- interface~switch&#45;&gt;proc~a2s -->
<g id="proc~~isnumber~~CallsGraph_edge2" class="edge">
<title>interface~switch&#45;&gt;proc~a2s</title>
<path fill="none" stroke="#000000" stroke-dasharray="5,2" d="M148.003,-39.3007C156.1158,-41.1937 165.1631,-43.3047 173.8131,-45.323"/>
<polygon fill="#000000" stroke="#000000" points="173.1713,-48.7672 183.705,-47.6312 174.7619,-41.9504 173.1713,-48.7672"/>
</g>
<!-- proc~s2a -->
<g id="proc~~isnumber~~CallsGraph_node4" class="node">
<title>proc~s2a</title>
<g id="a_proc~~isnumber~~CallsGraph_node4"><a xlink:href=".././proc/s2a.html" xlink:title="s2a">
<polygon fill="#d94e8f" stroke="#d94e8f" points="238,-24 184,-24 184,0 238,0 238,-24"/>
<text text-anchor="middle" x="211" y="-9.6" font-family="Helvetica,sans-Serif" font-size="10.50" fill="#ffffff">s2a</text>
</a>
</g>
</g>
<!-- interface~switch&#45;&gt;proc~s2a -->
<g id="proc~~isnumber~~CallsGraph_edge3" class="edge">
<title>interface~switch&#45;&gt;proc~s2a</title>
<path fill="none" stroke="#000000" stroke-dasharray="5,2" d="M148.003,-26.6993C156.1158,-24.8063 165.1631,-22.6953 173.8131,-20.677"/>
<polygon fill="#000000" stroke="#000000" points="174.7619,-24.0496 183.705,-18.3688 173.1713,-17.2328 174.7619,-24.0496"/>
</g>
</g>
</svg>
</div><div><a type="button" class="graph-help" data-toggle="modal" href="#graph-help-text">Help</a></div><div class="modal fade" id="graph-help-text" tabindex="-1" role="dialog"><div class="modal-dialog modal-lg" role="document"><div class="modal-content"><div class="modal-header"><button type="button" class="close" data-dismiss="modal" aria-label="Close"><span aria-hidden="true">&times;</span></button><h4 class="modal-title" id="-graph-help-label">Graph Key</h4></div><div class="modal-body">
    <p>Nodes of different colours represent the following: </p>
    <?xml version="1.0" encoding="UTF-8" standalone="no"?>
<!DOCTYPE svg PUBLIC "-//W3C//DTD SVG 1.1//EN"
 "http://www.w3.org/Graphics/SVG/1.1/DTD/svg11.dtd">
<!-- Generated by graphviz version 2.40.1 (20161225.0304)
 -->
<!-- Title: Graph Key Pages: 1 -->
<svg width="558pt" height="32pt"
 viewBox="0.00 0.00 557.50 32.00" xmlns="http://www.w3.org/2000/svg" xmlns:xlink="http://www.w3.org/1999/xlink">
<g id="graph0" class="graph" transform="scale(1 1) rotate(0) translate(4 28)">
<title>Graph Key</title>
<polygon fill="#ffffff" stroke="transparent" points="-4,4 -4,-28 553.5,-28 553.5,4 -4,4"/>
<!-- Subroutine -->
<g id="node1" class="node">
<title>Subroutine</title>
<polygon fill="#d9534f" stroke="#d9534f" points="64,-24 0,-24 0,0 64,0 64,-24"/>
<text text-anchor="middle" x="32" y="-9.6" font-family="Helvetica,sans-Serif" font-size="10.50" fill="#ffffff">Subroutine</text>
</g>
<!-- Function -->
<g id="node2" class="node">
<title>Function</title>
<polygon fill="#d94e8f" stroke="#d94e8f" points="136,-24 82,-24 82,0 136,0 136,-24"/>
<text text-anchor="middle" x="109" y="-9.6" font-family="Helvetica,sans-Serif" font-size="10.50" fill="#ffffff">Function</text>
</g>
<!-- Interface -->
<g id="node3" class="node">
<title>Interface</title>
<polygon fill="#a7506f" stroke="#a7506f" points="209.5,-24 154.5,-24 154.5,0 209.5,0 209.5,-24"/>
<text text-anchor="middle" x="182" y="-9.6" font-family="Helvetica,sans-Serif" font-size="10.50" fill="#ffffff">Interface</text>
</g>
<!-- Unknown Procedure Type -->
<g id="node4" class="node">
<title>Unknown Procedure Type</title>
<polygon fill="#777777" stroke="#777777" points="362,-24 228,-24 228,0 362,0 362,-24"/>
<text text-anchor="middle" x="295" y="-9.6" font-family="Helvetica,sans-Serif" font-size="10.50" fill="#ffffff">Unknown Procedure Type</text>
</g>
<!-- Program -->
<g id="node5" class="node">
<title>Program</title>
<polygon fill="#f0ad4e" stroke="#f0ad4e" points="434,-24 380,-24 380,0 434,0 434,-24"/>
<text text-anchor="middle" x="407" y="-9.6" font-family="Helvetica,sans-Serif" font-size="10.50" fill="#ffffff">Program</text>
</g>
<!-- This Page&#39;s Entity -->
<g id="node6" class="node">
<title>This Page&#39;s Entity</title>
<polygon fill="none" stroke="#000000" points="549.5,-24 452.5,-24 452.5,0 549.5,0 549.5,-24"/>
<text text-anchor="middle" x="501" y="-9.6" font-family="Helvetica,sans-Serif" font-size="10.50" fill="#000000">This Page&#39;s Entity</text>
</g>
</g>
</svg>

    
    <p>Solid arrows point from a procedure to one which it calls. Dashed 
    arrows point from an interface to procedures which implement that interface.
    This could include the module procedures in a generic interface or the
    implementation in a submodule of an interface in a parent module.
    </p>
    </div></div></div></div>
      </div>
    </div>
     
     
    <br>

    <section class="visible-xs visible-sm hidden-md">
      
<h3>Contents</h3>
 





















<em>None</em>


    </section>
    <br class="visible-xs visible-sm hidden-md">

    

    
    
    
    
    

    
    
    
    
    


    
    
    
    
    </div>
  </div>


    <hr>    
    </div> <!-- /container -->
    <footer>
      <div class="container">
      <div class="row">
        <div class="col-xs-6 col-md-6"><p>FLUBIO was developed by Edoardo Alinovi and Joel Guerrero<br>&copy; 2021 <a rel="license" href="http://creativecommons.org/licenses/by-nc/4.0/"><img alt="Creative Commons License" style="border-width:0" src="https://i.creativecommons.org/l/by-nc/4.0/80x15.png" /></a>
                                          </p>
        </div>
        <div class="col-xs-6 col-md-6">
          <p class="text-right">
            Documentation generated by 
            <a href="https://github.com/Fortran-FOSS-Programmers/ford">FORD</a>
            
            
          </p>
        </div>
      </div>
      <br>
      </div> <!-- /container -->    
    </footer>

    <!-- Bootstrap core JavaScript
    ================================================== -->
    <!-- Placed at the end of the document so the pages load faster -->
<!--
    <script src="https://ajax.googleapis.com/ajax/libs/jquery/1.11.1/jquery.min.js"></script>
-->
    <script src="../js/bootstrap.min.js"></script>
    <!-- IE10 viewport hack for Surface/desktop Windows 8 bug -->
    <script src="../js/ie10-viewport-bug-workaround.js"></script>

    <!-- MathJax JavaScript
    ================================================== -->
    <!-- Placed at the end of the document so the pages load faster -->
    <script type="text/x-mathjax-config">
      MathJax.Hub.Config({
        TeX: { extensions: ['AMSmath.js','AMSsymbols.js','noErrors.js','noUndefined.js'], equationNumbers: { autoNumber: 'AMS' } },
        jax: ['input/TeX','input/MathML','output/HTML-CSS'],
        extensions: ['tex2jax.js','mml2jax.js','MathMenu.js','MathZoom.js']
      });
    </script>
    
    <script src="https://cdnjs.cloudflare.com/ajax/libs/mathjax/2.7.1/MathJax.js?config=TeX-AMS-MML_HTMLorMML"></script>
    
    
    <script src="../tipuesearch/tipuesearch_content.js"></script>
    <script src="../tipuesearch/tipuesearch_set.js"></script>
    <script src="../tipuesearch/tipuesearch.js"></script>
    
    
  </body>
</html>